<div class="mt-4 mx-2">
<form [formGroup]="transactionForm" fxLayout="column">
    <div fxLayout="row">
        <mat-form-field appearance="fill" class="mr-1">
            <mat-label>{{ 'TRANSACTIONS.FROM' | translate }}</mat-label>
            <mat-select formControlName="fromId">
                <mat-option [value]="0">{{ 'FUNDING' | translate }}</mat-option>
                <mat-option *ngFor="let position of allPositions"
                    [value]="position.id">
                    {{ position.name }}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field appearance="fill">
            <mat-label>{{ 'TRANSACTIONS.FROM_QTY' | translate }}</mat-label>
            <input matInput autocomplete="off" formControlName="fromQty"
                type="number"
                [class.error]="fromQty.invalid && (fromQty.dirty ||
                fromQty.touched)"
                required>
        </mat-form-field>
    </div>
    <div fxLayout="row">
        <mat-form-field appearance="fill" class="mr-1">
            <mat-label>{{ 'TRANSACTIONS.TO' | translate }}</mat-label>
            <mat-select formControlName="toId">
                <mat-option [value]="0">{{ 'FUNDING' | translate }}</mat-option>
                <mat-option *ngFor="let position of allPositions"
                    [value]="position.id">
                    {{ position.name }}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field appearance="fill">
            <mat-label>{{ 'TRANSACTIONS.TO_QTY' | translate }}</mat-label>
            <input matInput autocomplete="off"
                formControlName="toQty"
                type="number"
                [class.error]="toQty.invalid && (toQty.dirty || toQty.touched)"
                required/>
        </mat-form-field>
    </div>
    <mat-form-field appearance="fill">
        <mat-label>{{ 'TRANSACTIONS.DATE' | translate }}</mat-label>
        <input matInput autocomplete="off" [ngxMatDatetimePicker]="picker1"
            formControlName="date"
            [class.error]="date.invalid && (date.dirty || date.touched)"
            required/>
        <mat-datepicker-toggle matSuffix [for]="$any(picker1)"></mat-datepicker-toggle>
        <ngx-mat-datetime-picker #picker1></ngx-mat-datetime-picker>
    </mat-form-field>
    <button mat-raised-button
        type="button"
        (click)="onSubmit()"
        [disabled]="date.invalid || toQty.invalid || fromQty.invalid">
        {{ 'ADD' | translate }}
    </button>
</form>
</div>